> ## Documentation Index
> Fetch the complete documentation index at: https://docs.snagsolutions.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Mint an asset

> Generates a signature for minting an asset on a given contract



## OpenAPI

````yaml /api-reference/openapi.documented.json post /api/minting/contracts/mint
openapi: 3.0.2
info:
  title: Snag Solutions - API Docs
  description: >-
    Documentation for Loyalty & Socials APIs. Some endpoints require an API key
    to authenticate. To obtain a key, reach out to the Snag Solutions team at
    support@snagsolutions.io.
  version: '0.1'
servers:
  - url: https://admin.snagsolutions.io/
    description: Production
security: []
paths:
  /api/minting/contracts/mint:
    post:
      tags:
        - Minting
      summary: Mint an asset
      description: Generates a signature for minting an asset on a given contract
      parameters: []
      requestBody:
        description: Body
        content:
          application/json:
            schema:
              type: object
              properties:
                assetId:
                  type: string
                  format: uuid
                contractId:
                  oneOf:
                    - type: string
                      format: uuid
                      minLength: 1
                    - type: string
                emailAddress:
                  type: string
                walletAddress:
                  type: string
                quantity:
                  default: 1
                  type: number
                shippingId:
                  type: string
                shippingOrderType:
                  type: string
                  enum:
                    - stripe
                    - shipstation
                    - drip
                    - twitter_bearer
                    - epic_games
                    - stardust
                    - twitter_clientsecret
                    - immutable_passport
                    - sequence
                    - google
                    - walletConnect
                    - auth0
                    - privy
                    - thirdweb
                    - steam
                    - discord
                    - google_api
                    - shopify
                    - ultra
                    - github
                    - twilio
                agreedToSendW9:
                  type: boolean
                  nullable: true
                customInputValue:
                  type: string
                  nullable: true
              required:
                - assetId
                - contractId
      responses:
        '202':
          description: '202'
          content:
            application/json:
              schema:
                type: object
                properties:
                  mintingContractAssetMintStatusId:
                    type: string
                    format: uuid
                required:
                  - mintingContractAssetMintStatusId
                title: Status of minting process
                description: >-
                  Use the id returned here to fetch the status and signature of
                  the mint from the `/api/minting/status/:id` endpoint
                example:
                  mintingContractAssetMintStatusId: 00000000-0000-0000-0000-000000000000
        '400':
          description: '400'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Request body is invalid
                required:
                  - message
                title: Bad Request Response
                description: Schema for bad request response
        '404':
          description: '404'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Not found
                required:
                  - message
                title: Not Found Response
                description: Schema for not found response
        '429':
          description: '429'
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Too many requests
                required:
                  - message
                title: Too Many Request Response
                description: Schema for too many request response
        '500':
          description: '500'
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    title: Success
                    description: Indicates operation success
                    example: false
                  message:
                    type: string
                    title: Message
                    description: Error message
                    example: Internal server error
                  debugInfo:
                    type: string
                    title: Debug Info
                    description: Optional debug information
                    example: Stack trace or additional error details
                required:
                  - success
                  - message
                title: Internal Server Error Response
                description: Schema for internal server error response
      security:
        - apiKeyAuth: []
components:
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: X-API-KEY

````